%define lib_major		6
%define lib_name		%mklibname %{name} %{lib_major}
%define lib_name_devel		%mklibname %{name} -d
%define lib_name_static_devel	%mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Epoch:		0
Version:	4.2.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.mpfr.org/
Source0:	https://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
Source1:	https://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz.asc
BuildRequires:	libgmp-devel

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding.

%package -n	%{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n	%{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d %name 1

%description -n	%{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n	%{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/C
Requires:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d -s %name 1

%description -n	%{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-shared \
	--enable-thread-safe

%make_build

%install
%make_install

rm -rf installed-docs
mv %{buildroot}%{_docdir}/%{name} installed-docs

rm -f %{buildroot}%{_libdir}/libmpfr.la

%check
make check

%files -n %{lib_name}
%{_libdir}/libmpfr.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%doc installed-docs/*
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.so
%{_libdir}/pkgconfig/mpfr.pc

%files -n %{lib_name_static_devel}
%{_libdir}/libmpfr.a


%changelog
* Sat Jan 07 2023 tmb <tmb> 0:4.2.0-1.mga9
+ Revision: 1930870
- update to 4.2.0

* Fri Mar 18 2022 umeabot <umeabot> 0:4.1.0-2.mga9
+ Revision: 1797939
- Mageia 9 Mass Rebuild

* Mon Jul 13 2020 daviddavid <daviddavid> 0:4.1.0-1.mga8
+ Revision: 1605740
- new version: 4.1.0

* Fri Feb 14 2020 umeabot <umeabot> 0:4.0.2-2.mga8
+ Revision: 1522616
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Feb 02 2019 luigiwalser <luigiwalser> 0:4.0.2-1.mga7
+ Revision: 1362670
- 4.0.2

* Mon Sep 03 2018 tv <tv> 0:4.0.1-2.mga7
+ Revision: 1256803
- rely on filetriggers for info system (mga#23482)

* Mon Feb 19 2018 kekepower <kekepower> 0:4.0.1-1.mga7
+ Revision: 1202933
- Update to version 4.0.1
- Now includes mpfr.pc pkgconfig file

* Thu Jan 18 2018 tmb <tmb> 0:3.1.5-2.mga7
+ Revision: 1194358
- rebuild with/for new gcc

* Wed Oct 26 2016 luigiwalser <luigiwalser> 0:3.1.5-1.mga6
+ Revision: 1063591
- 3.1.5

* Fri Mar 11 2016 luigiwalser <luigiwalser> 0:3.1.4-1.mga6
+ Revision: 989161
- 3.1.4

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0:3.1.3-1.mga6
+ Revision: 917569
- 3.1.3
- add 3.1.3-p5 upstream bugfix patch

* Tue Dec 09 2014 luigiwalser <luigiwalser> 0:3.1.2-7.mga5
+ Revision: 802352
- update to upstream patch p11 to fix buffer overflow in mpfr_strtofr
  (CVE-2014-9474)

* Wed Oct 15 2014 umeabot <umeabot> 0:3.1.2-6.mga5
+ Revision: 742189
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:3.1.2-5.mga5
+ Revision: 727358
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:3.1.2-4.mga5
+ Revision: 682643
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 0:3.1.2-3.mga5
+ Revision: 670183
- update to upstream patch level p10

* Sat Oct 19 2013 umeabot <umeabot> 0:3.1.2-2.mga4
+ Revision: 523172
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 mitya <mitya> 0:3.1.2-1.mga3
+ Revision: 406539
- New version 3.1.2

* Sat Jan 12 2013 umeabot <umeabot> 0:3.1.1-2.mga3
+ Revision: 360415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 mitya <mitya> 0:3.1.1-1.mga3
+ Revision: 268752
- New version 3.1.1

* Tue Dec 27 2011 mitya <mitya> 0:3.1.0-1.mga2
+ Revision: 188191
- Really remove .la files
- Update to latest upstream release
- remove .la files

* Wed Apr 20 2011 pterjan <pterjan> 0:3.0.1-1.mga1
+ Revision: 89004
- Update to 3.0.1

* Sat Jan 15 2011 mikala <mikala> 0:3.0.0-3.mga1
+ Revision: 18270
- Drop mdk macros
- Remove BuildRoot
- imported package mpfr


* Mon Aug 16 2010 Anssi Hannula <anssi@mandriva.org> 0:3.0.0-3mdv2011.0
+ Revision: 570271
- revert incorrect obsoletion of previous major
- remove conflicting documentation from the main library package
- move documentation to the correct directory

* Sun Aug 15 2010 Tomas Kindl <supp@mandriva.org> 0:3.0.0-2mdv2011.0
+ Revision: 570224
- add missing obsolete, fixing #60656

* Sat Aug 14 2010 Tomas Kindl <supp@mandriva.org> 0:3.0.0-1mdv2011.0
+ Revision: 569501
- bump to 3.0.0
- change license to LGPLv3+ (for 3.0.0+)
- minor SPEC cleanups

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 0:2.4.2-2mdv2010.1
+ Revision: 502943
- rebuild for new gmp

* Wed Dec 02 2009 Paulo Andrade <pcpa@mandriva.com.br> 0:2.4.2-1mdv2010.1
+ Revision: 472696
- Update to latest upstream release

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.4.1-2mdv2010.0
+ Revision: 426187
- rebuild

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.4.1-1mdv2009.1
+ Revision: 353011
- update to new version 2.4.1

* Wed Feb 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:2.4.0-1mdv2009.1
+ Revision: 339361
- spec file clean
- do not package COPYING* and INSTALL files
- new license policy
- update to new version 2.4.0
- enable TLS (thread safety)

* Sat Oct 18 2008 David Walluck <walluck@mandriva.org> 0:2.3.2-1mdv2009.1
+ Revision: 295156
- add .lzma compressed tarball
- 2.3.2

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0:2.3.1-2mdv2009.0
+ Revision: 223320
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 31 2008 David Walluck <walluck@mandriva.org> 0:2.3.1-1mdv2008.1
+ Revision: 160619
- 2.3.1

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0:2.3.0-2mdv2008.1
+ Revision: 148499
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0:2.3.0-1mdv2008.1
+ Revision: 102900
- fix requires of devel package
- New devel package policy
- New version 2.3.0

* Sat May 26 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-6mdv2008.0
+ Revision: 31231
- rename build root
- use macro for lib package names
- add static-devel package

* Sun May 20 2007 Anssi Hannula <anssi@mandriva.org> 0:2.2.1-5mdv2008.0
+ Revision: 28936
- rebuild to fix missing library provides

* Tue Apr 17 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-4mdv2008.0
+ Revision: 14166
- bump release to work around build system bug
- Import mpfr



* Sun Apr 15 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-1mdv2007.1
- release
